# -*- coding: utf-8 -*-
from distutils.core import setup

packages = \
['profanity_filter']

package_data = \
{'': ['*'], 'profanity_filter': ['data/*']}

install_requires = \
['cached-property>=1.5,<2.0', 'ordered-set>=3.0,<4.0', 'spacy>=2.0,<3.0']

extras_require = \
{'deep-analysis': ['hunspell_serializable', 'pyffs'],
 'pymorphy2-ru': ['pymorphy2'],
 'pymorphy2-uk': ['pymorphy2']}

setup_kwargs = {
    'name': 'profanity-filter',
    'version': '1.0.0',
    'description': 'A Python library for detecting and filtering profanity',
    'long_description': None,
    'author': 'Roman Inflianskas',
    'author_email': 'infroma@gmail.com',
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
